OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2014
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.BlendFuncExtended

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_blend_func_extended extension, see http://www.opengl.org/registry/specs/ARB/blend_func_extended.txt.

Synopsis

- glBindFragDataLocationIndexed :: GLuint -> GLuint -> GLuint -> Ptr GLchar -> IO ()
- glGetFragDataIndex :: GLuint -> Ptr GLchar -> IO GLint
- gl_SRC1_COLOR :: GLenum
- gl_SRC1_ALPHA :: GLenum
- gl_ONE_MINUS_SRC1_COLOR :: GLenum
- gl_ONE_MINUS_SRC1_ALPHA :: GLenum
- gl_MAX_DUAL_SOURCE_DRAW_BUFFERS :: GLenum

# Functions

glBindFragDataLocationIndexed :: GLuint -> GLuint -> GLuint -> Ptr GLchar -> IO ()

glGetFragDataIndex :: GLuint -> Ptr GLchar -> IO GLint

# Tokens

gl_SRC1_COLOR :: GLenum

gl_SRC1_ALPHA :: GLenum

gl_ONE_MINUS_SRC1_COLOR :: GLenum

gl_ONE_MINUS_SRC1_ALPHA :: GLenum

gl_MAX_DUAL_SOURCE_DRAW_BUFFERS :: GLenum